Show / Hide Table of Contents

# Class OpenIddictValidationAspNetCoreConfiguration

Contains the methods required to ensure that the OpenIddict validation configuration is valid.

##### Inheritance

System.Object
OpenIddictValidationAspNetCoreConfiguration

##### Implements

IConfigureOptions<OpenIddictValidationOptions>
IPostConfigureOptions<AuthenticationOptions>

###### Namespace: OpenIddict.Validation.AspNetCore

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictValidationAspNetCoreConfiguration : IConfigureOptions<AuthenticationOptions>, IConfigureOptions<OpenIddictValidationOptions>, IPostConfigureOptions<AuthenticationOptions>

### Methods

#### Configure(AuthenticationOptions)

Registers the OpenIddict validation handler in the global authentication options.

##### Declaration

    public void Configure(AuthenticationOptions options)

##### Parameters

Type | Name | Description
--- | --- | ---
AuthenticationOptions | options | The options instance to initialize.

#### Configure(OpenIddictValidationOptions)

##### Declaration

    public void Configure(OpenIddictValidationOptions options)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictValidationOptions | options |

#### PostConfigure(String, AuthenticationOptions)

Ensures that the authentication configuration is in a consistent and valid state.

##### Declaration

    public void PostConfigure(string name, AuthenticationOptions options)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name | The name of the options instance to configure, if applicable.
AuthenticationOptions | options | The options instance to initialize.

### Implements

IConfigureOptions<>
IPostConfigureOptions<>